import { EventEmitter, Component, Input, Output, NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { FormsModule } from '@angular/forms';
import { HttpClientModule } from '@angular/common/http';
import { NzAffixModule } from 'ng-zorro-antd/affix';
import { NzAlertModule } from 'ng-zorro-antd/alert';
import { NzAnchorModule } from 'ng-zorro-antd/anchor';
import { NzAutocompleteModule } from 'ng-zorro-antd/auto-complete';
import { NzAvatarModule } from 'ng-zorro-antd/avatar';
import { NzBackTopModule } from 'ng-zorro-antd/back-top';
import { NzBadgeModule } from 'ng-zorro-antd/badge';
import { NzBreadCrumbModule } from 'ng-zorro-antd/breadcrumb';
import { NzButtonModule } from 'ng-zorro-antd/button';
import { NzCalendarModule } from 'ng-zorro-antd/calendar';
import { NzCardModule } from 'ng-zorro-antd/card';
import { NzCarouselModule } from 'ng-zorro-antd/carousel';
import { NzCascaderModule } from 'ng-zorro-antd/cascader';
import { NzCheckboxModule } from 'ng-zorro-antd/checkbox';
import { NzCollapseModule } from 'ng-zorro-antd/collapse';
import { NzCommentModule } from 'ng-zorro-antd/comment';
import { NzNoAnimationModule } from 'ng-zorro-antd/core/no-animation';
import { NzTransButtonModule } from 'ng-zorro-antd/core/trans-button';
import { NzWaveModule } from 'ng-zorro-antd/core/wave';
import { NzDatePickerModule } from 'ng-zorro-antd/date-picker';
import { NzDescriptionsModule } from 'ng-zorro-antd/descriptions';
import { NzDividerModule } from 'ng-zorro-antd/divider';
import { NzDrawerModule } from 'ng-zorro-antd/drawer';
import { NzDropDownModule } from 'ng-zorro-antd/dropdown';
import { NzEmptyModule } from 'ng-zorro-antd/empty';
import { NzFormModule } from 'ng-zorro-antd/form';
import { NzGridModule } from 'ng-zorro-antd/grid';
import { NzI18nModule } from 'ng-zorro-antd/i18n';
import { NzIconModule } from 'ng-zorro-antd/icon';
import { NzInputModule } from 'ng-zorro-antd/input';
import { NzInputNumberModule } from 'ng-zorro-antd/input-number';
import { NzLayoutModule } from 'ng-zorro-antd/layout';
import { NzListModule } from 'ng-zorro-antd/list';
import { NzMentionModule } from 'ng-zorro-antd/mention';
import { NzMenuModule } from 'ng-zorro-antd/menu';
import { NzMessageModule } from 'ng-zorro-antd/message';
import { NzModalModule } from 'ng-zorro-antd/modal';
import { NzNotificationModule } from 'ng-zorro-antd/notification';
import { NzPageHeaderModule } from 'ng-zorro-antd/page-header';
import { NzPaginationModule } from 'ng-zorro-antd/pagination';
import { NzPopconfirmModule } from 'ng-zorro-antd/popconfirm';
import { NzPopoverModule } from 'ng-zorro-antd/popover';
import { NzProgressModule } from 'ng-zorro-antd/progress';
import { NzRadioModule } from 'ng-zorro-antd/radio';
import { NzRateModule } from 'ng-zorro-antd/rate';
import { NzResultModule } from 'ng-zorro-antd/result';
import { NzSelectModule } from 'ng-zorro-antd/select';
import { NzSkeletonModule } from 'ng-zorro-antd/skeleton';
import { NzSliderModule } from 'ng-zorro-antd/slider';
import { NzSpinModule } from 'ng-zorro-antd/spin';
import { NzStatisticModule } from 'ng-zorro-antd/statistic';
import { NzStepsModule } from 'ng-zorro-antd/steps';
import { NzSwitchModule } from 'ng-zorro-antd/switch';
import { NzTableModule } from 'ng-zorro-antd/table';
import { NzTabsModule } from 'ng-zorro-antd/tabs';
import { NzTagModule } from 'ng-zorro-antd/tag';
import { NzTimePickerModule } from 'ng-zorro-antd/time-picker';
import { NzTimelineModule } from 'ng-zorro-antd/timeline';
import { NzToolTipModule } from 'ng-zorro-antd/tooltip';
import { NzTransferModule } from 'ng-zorro-antd/transfer';
import { NzTreeModule } from 'ng-zorro-antd/tree';
import { NzTreeSelectModule } from 'ng-zorro-antd/tree-select';
import { NzTypographyModule } from 'ng-zorro-antd/typography';
import { NzUploadModule } from 'ng-zorro-antd/upload';
import { NzResizableModule } from 'ng-zorro-antd/resizable';
import { NzPipesModule } from 'ng-zorro-antd/pipes';

/**
 * To trigger an operation.
 *
 * - Primary buttons stand out on purpose. They are used to indicate primary actions used within a creation flow or preview window.
 * - Secondary buttons acts as a companion to the primary button or as a stand alone action that is not the main focus on the screen.
 * - Ghost buttons should be used for actions that are not classified as primary or secondary but needs to be there to provide some context or as a cancellation action.
 * - Destructive buttons are primarily used on destructive actions such as deleting a record. The Red colour is use to indicate the severity of the action.
 */
class ButtonComponent {
    constructor() {
        /**
         * How large should the button be?
         */
        this.size = 'medium';
        /**
         * Optional click handler
         */
        this.onClick = new EventEmitter();
    }
    ngOnInit() { }
    click(event) {
        this.onClick.emit(event);
    }
}
ButtonComponent.decorators = [
    { type: Component, args: [{
                selector: 'lib-button',
                template: "<button class=\"primary\" nz-button nzType=\"primary\" (click)=\"click($event)\">Button</button>\n",
                styles: [".primary{background:#1971c2;border-radius:4px;box-shadow:0 2px 2px rgba(34,43,61,.1)}"]
            },] }
];
ButtonComponent.ctorParameters = () => [];
ButtonComponent.propDecorators = {
    primary: [{ type: Input }],
    backgroundColor: [{ type: Input }],
    size: [{ type: Input }],
    label: [{ type: Input }],
    onClick: [{ type: Output }]
};

/**
 * Button
 *
 * - Primary buttons stand out on purpose. They are used to indicate primary actions used within a creation flow or preview window.\n
 * - Secondary buttons
 *
 */
class LeodsComponent {
    constructor() {
        /**
         * How large should the button be?
         */
        this.size = 'medium';
    }
    ngOnInit() { }
}
LeodsComponent.decorators = [
    { type: Component, args: [{
                selector: 'lib-leods',
                template: ` <button nz-button nzType="primary">Primary Button</button> `
            },] }
];
LeodsComponent.ctorParameters = () => [];
LeodsComponent.propDecorators = {
    primary: [{ type: Input }],
    backgroundColor: [{ type: Input }],
    size: [{ type: Input }],
    label: [{ type: Input }]
};

class ColorCardComponent {
    constructor() { }
    ngOnInit() { }
}
ColorCardComponent.decorators = [
    { type: Component, args: [{
                selector: 'lib-color-card',
                template: "<div class=\"private-tile private-tile--spaced color-swatch\">\n  <div class=\"color-swatch__preview\" [ngStyle]=\"{ 'background-color': color.value }\">\n    <!-- <p>Primary</p> -->\n  </div>\n  <div class=\"color-swatch__label has--vertical-spacing\">\n    <div class=\"color-swatch__label--header\">\n      <h5 class=\"is--heading-6 m-bottom-0\">{{ color.name }}</h5>\n      <code>{{ color.value }}</code>\n    </div>\n    <!-- <p>{{ color.name }}</p> -->\n  </div>\n</div>\n",
                styles: [".color-group{padding-bottom:16px}.color-swatch{background-color:#fff;display:flex;flex-direction:row;margin-bottom:1.25rem}.color-swatch .color-swatch__preview{min-height:70px;padding:16px;width:75%}.color-swatch .color-swatch__label{min-width:250px;padding:16px;width:100%}.color-swatch .color-swatch__label .color-swatch__label--header{display:flex;flex-wrap:wrap;justify-content:space-between}.private-tile{background-color:#fff;border:1px solid #dfe3eb;border-radius:.1875rem;position:relative}"]
            },] }
];
ColorCardComponent.ctorParameters = () => [];
ColorCardComponent.propDecorators = {
    color: [{ type: Input }]
};

const colors = [
    '$color-base-grey-0: #ffffff',
    '$color-base-grey-5: #fcfcfc',
    '$color-base-grey-10: #f8f9fa',
    '$color-base-grey-20: #f0f1f5',
    '$color-base-grey-30: #dce0e7',
    '$color-base-grey-40: #c9cfdb',
    '$color-base-grey-50: #8792a7',
    '$color-base-grey-60: #666e7d',
    '$color-base-grey-70: #424957',
    '$color-base-grey-80: #222b3d',
    '$color-base-grey-90: #141a26',
    '$color-base-grey-100: #000000',
    '$color-base-blue-0: #f2fbff',
    '$color-base-blue-5: #d9f1fc',
    '$color-base-blue-10: #c0e7fa',
    '$color-base-blue-20: #91d2f4',
    '$color-base-blue-30: #68bdec',
    '$color-base-blue-40: #46a6e1',
    '$color-base-blue-50: #2c8cd4',
    '$color-base-blue-60: #1971c2',
    '$color-base-blue-70: #0d53b0',
    '$color-base-blue-80: #06379a',
    '$color-base-blue-90: #021f80',
    '$color-base-blue-100: #000e66',
    '$color-base-cyan-0: #f1fdff',
    '$color-base-cyan-5: #cdf6ff',
    '$color-base-cyan-10: #a9edff',
    '$color-base-cyan-20: #6bd3fb',
    '$color-base-cyan-30: #34b6f4',
    '$color-base-cyan-40: #0697ed',
    '$color-base-cyan-50: #0087d2',
    '$color-base-cyan-60: #0078b7',
    '$color-base-cyan-70: #00679b',
    '$color-base-cyan-80: #005580',
    '$color-base-cyan-90: #004365',
    '$color-base-cyan-100: #00314a',
    '$color-base-teal-0: #f2fffb',
    '$color-base-teal-5: #dcfdf3',
    '$color-base-teal-10: #c6fbeb',
    '$color-base-teal-20: #99f0d7',
    '$color-base-teal-30: #6fdec1',
    '$color-base-teal-40: #4cc5a8',
    '$color-base-teal-50: #30a58e',
    '$color-base-teal-60: #1e8476',
    '$color-base-teal-70: #126862',
    '$color-base-teal-80: #0c5354',
    '$color-base-teal-90: #084349',
    '$color-base-teal-100: #063139',
    '$color-base-mint-0: #f2fff7',
    '$color-base-mint-5: #d3f5df',
    '$color-base-mint-10: #b5ebc8',
    '$color-base-mint-20: #80d6a0',
    '$color-base-mint-30: #56c280',
    '$color-base-mint-40: #37ad67',
    '$color-base-mint-50: #219955',
    '$color-base-mint-60: #138549',
    '$color-base-mint-70: #09703f',
    '$color-base-mint-80: #045c37',
    '$color-base-mint-90: #01472e',
    '$color-base-mint-100: #003323',
    '$color-base-green-0: #f7fff2',
    '$color-base-green-5: #def5d3',
    '$color-base-green-10: #c7ebb6',
    '$color-base-green-20: #9bd781',
    '$color-base-green-30: #76c357',
    '$color-base-green-40: #56af38',
    '$color-base-green-50: #3b9c22',
    '$color-base-green-60: #248813',
    '$color-base-green-70: #11740a',
    '$color-base-green-80: #046005',
    '$color-base-green-90: #014c08',
    '$color-base-green-100: #003809',
    '$color-base-yellow-0: #fffff0',
    '$color-base-yellow-5: #fefed6',
    '$color-base-yellow-10: #fdfcbd',
    '$color-base-yellow-20: #f9f78c',
    '$color-base-yellow-30: #f4ed61',
    '$color-base-yellow-40: #ecde3e',
    '$color-base-yellow-50: #e2ca23',
    '$color-base-yellow-60: #d4b10f',
    '$color-base-yellow-70: #c39302',
    '$color-base-yellow-80: #af7500',
    '$color-base-yellow-90: #975a00',
    '$color-base-yellow-100: #804200',
    '$color-base-amber-0: #fffaf0',
    '$color-base-amber-5: #fef1d6',
    '$color-base-amber-10: #fde7bd',
    '$color-base-amber-20: #f9d38c',
    '$color-base-amber-30: #f4be61',
    '$color-base-amber-40: #eca83e',
    '$color-base-amber-50: #e29223',
    '$color-base-amber-60: #d47a0f',
    '$color-base-amber-70: #c36102',
    '$color-base-amber-80: #af4d00',
    '$color-base-amber-90: #973a00',
    '$color-base-amber-100: #802a00',
    '$color-base-orange-0: #fff5f0',
    '$color-base-orange-5: #fee3d6',
    '$color-base-orange-10: #fdd2bd',
    '$color-base-orange-20: #f8af8c',
    '$color-base-orange-30: #f28f60',
    '$color-base-orange-40: #e8723d',
    '$color-base-orange-50: #dc5922',
    '$color-base-orange-60: #cc430e',
    '$color-base-orange-70: #b73002',
    '$color-base-orange-80: #9f2500',
    '$color-base-orange-90: #831b00',
    '$color-base-orange-100: #661300',
    '$color-base-red-0: #fff3f2',
    '$color-base-red-5: #ffe2df',
    '$color-base-red-10: #ffcfcc',
    '$color-base-red-20: #ffa8a3',
    '$color-base-red-30: #fd837d',
    '$color-base-red-40: #f7635e',
    '$color-base-red-50: #ed4745',
    '$color-base-red-60: #e03131',
    '$color-base-red-70: #c62222',
    '$color-base-red-80: #a91717',
    '$color-base-red-90: #880f0f',
    '$color-base-red-100: #660a0a',
    '$color-base-pink-0: #fff2f7',
    '$color-base-pink-5: #fedde8',
    '$color-base-pink-10: #fdc8d9',
    '$color-base-pink-20: #f89ebc',
    '$color-base-pink-30: #f278a1',
    '$color-base-pink-40: #e85989',
    '$color-base-pink-50: #dc4175',
    '$color-base-pink-60: #cc2e63',
    '$color-base-pink-70: #b72052',
    '$color-base-pink-80: #9f1643',
    '$color-base-pink-90: #830f35',
    '$color-base-pink-100: #660a29',
    '$color-base-magenta-0: #fff2f9',
    '$color-base-magenta-5: #ffdeee',
    '$color-base-magenta-10: #fec9e3',
    '$color-base-magenta-20: #fba0cb',
    '$color-base-magenta-30: #f57bb5',
    '$color-base-magenta-40: #ed5ca2',
    '$color-base-magenta-50: #e14392',
    '$color-base-magenta-60: #d23085',
    '$color-base-magenta-70: #bc217d',
    '$color-base-magenta-80: #a21774',
    '$color-base-magenta-90: #840f66',
    '$color-base-magenta-100: #660a55',
    '$color-base-purple-0: #f9f6ff',
    '$color-base-purple-5: #ede5fe',
    '$color-base-purple-10: #e2d5fd',
    '$color-base-purple-20: #cab3f9',
    '$color-base-purple-30: #b395f4',
    '$color-base-purple-40: #9e7bec',
    '$color-base-purple-50: #8a66e2',
    '$color-base-purple-60: #7755d4',
    '$color-base-purple-70: #6546c3',
    '$color-base-purple-80: #533aaf',
    '$color-base-purple-90: #432f97',
    '$color-base-purple-100: #352680',
    '$color-base-indigo-0: #f6f6ff',
    '$color-base-indigo-5: #e5e5fe',
    '$color-base-indigo-10: #d4d5fd',
    '$color-base-indigo-20: #b3b4f8',
    '$color-base-indigo-30: #9497f2',
    '$color-base-indigo-40: #7980e8',
    '$color-base-indigo-50: #636edc',
    '$color-base-indigo-60: #5160cc',
    '$color-base-indigo-70: #4256b7',
    '$color-base-indigo-80: #344c9f',
    '$color-base-indigo-90: #294283',
    '$color-base-indigo-100: #1f3666',
    '$color-primary-white-grey-0: #ffffff',
    '$color-primary-jobads-cyan-40: #0697ed',
    '$color-primary-brand-blue-60: #1971c2',
    '$color-primary-jobs-blue-70: #0d53b0',
    '$color-primary-candidates-mint-50: #219955',
    '$color-primary-placements-teal-50: #30a58e',
    '$color-primary-contacts-orange-50: #dc5922',
    '$color-primary-companies-pink-50: #dc4175',
    '$color-primary-applications-purple-60: #7755d4',
    '$color-status-error-red-60: #e03131',
    '$color-status-warning-amber-40: #eca83e',
    '$color-status-succss-green-40: #56af38',
];

class ColorsComponent {
    constructor() { }
    ngOnInit() {
        this.colors = colors.map((x) => {
            const c = x.split(':');
            return {
                name: c[0],
                value: c[1],
            };
        });
    }
}
ColorsComponent.decorators = [
    { type: Component, args: [{
                selector: 'lib-colors',
                template: "<ng-container *ngFor=\"let color of colors\">\n  <lib-color-card [color]=\"color\"></lib-color-card>\n</ng-container>\n",
                styles: [""]
            },] }
];
ColorsComponent.ctorParameters = () => [];
ColorsComponent.propDecorators = {
    colors: [{ type: Input }]
};

class NgZorroAntdModule {
}
NgZorroAntdModule.decorators = [
    { type: NgModule, args: [{
                exports: [
                    NzAffixModule,
                    NzAlertModule,
                    NzAnchorModule,
                    NzAutocompleteModule,
                    NzAvatarModule,
                    NzBackTopModule,
                    NzBadgeModule,
                    NzButtonModule,
                    NzBreadCrumbModule,
                    NzCalendarModule,
                    NzCardModule,
                    NzCarouselModule,
                    NzCascaderModule,
                    NzCheckboxModule,
                    NzCollapseModule,
                    NzCommentModule,
                    NzDatePickerModule,
                    NzDescriptionsModule,
                    NzDividerModule,
                    NzDrawerModule,
                    NzDropDownModule,
                    NzEmptyModule,
                    NzFormModule,
                    NzGridModule,
                    NzI18nModule,
                    NzIconModule,
                    NzInputModule,
                    NzInputNumberModule,
                    NzLayoutModule,
                    NzListModule,
                    NzMentionModule,
                    NzMenuModule,
                    NzMessageModule,
                    NzModalModule,
                    NzNoAnimationModule,
                    NzNotificationModule,
                    NzPageHeaderModule,
                    NzPaginationModule,
                    NzPopconfirmModule,
                    NzPopoverModule,
                    NzProgressModule,
                    NzRadioModule,
                    NzRateModule,
                    NzResultModule,
                    NzSelectModule,
                    NzSkeletonModule,
                    NzSliderModule,
                    NzSpinModule,
                    NzStatisticModule,
                    NzStepsModule,
                    NzSwitchModule,
                    NzTableModule,
                    NzTabsModule,
                    NzTagModule,
                    NzTimePickerModule,
                    NzTimelineModule,
                    NzToolTipModule,
                    NzTransButtonModule,
                    NzTransferModule,
                    NzTreeModule,
                    NzTreeSelectModule,
                    NzTypographyModule,
                    NzUploadModule,
                    NzWaveModule,
                    NzResizableModule,
                    NzPipesModule,
                ],
            },] }
];

class LeodsModule {
}
LeodsModule.decorators = [
    { type: NgModule, args: [{
                declarations: [LeodsComponent, ColorCardComponent, ColorsComponent, ButtonComponent],
                imports: [NgZorroAntdModule, BrowserModule, FormsModule, HttpClientModule],
                exports: [LeodsComponent, NgZorroAntdModule],
            },] }
];

/*
 * Public API Surface of leods
 */
// export * from './lib/nz-zorro.module';

/**
 * Generated bundle index. Do not edit.
 */

export { ButtonComponent, LeodsComponent, LeodsModule, ColorCardComponent as ɵa, ColorsComponent as ɵb, NgZorroAntdModule as ɵc };
//# sourceMappingURL=leods.js.map
